### Function

# ECal util_parse_ics_file

#### Declaration [src]

    ICalComponent*
    e_cal_util_parse_ics_file (
      const gchar* filename
    )

#### Description [src]

Parses the given file, and, if it contains a valid iCalendar object, parse it and return a new `ICalComponent`.

Free the returned non-NULL component with g_object_unref(), when no longer needed.

#### Parameters

`filename`

  Type: `const gchar*`

  Name of the file to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

A newly created `ICalComponent`, or `NULL`, if the file doesn’t contain a valid iCalendar object.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.